summaryrefslogtreecommitdiff
path: root/iwd2/install-2cd-us-minimal.sh
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-06-03 13:14:18 +0300
committerNick White <git@njw.me.uk>2009-06-23 11:54:04 +0100
commit470b322c5cb3c392f77fc63bb14a1c61abf9180a (patch)
tree40e9eefac640f0c2014c2916fe27f2595fa61fda /iwd2/install-2cd-us-minimal.sh
parentdad2f8163435c5b1804147ff37c54799c2c38a14 (diff)
downloadgemrb-gameinstallers-470b322c5cb3c392f77fc63bb14a1c61abf9180a.tar.bz2
gemrb-gameinstallers-470b322c5cb3c392f77fc63bb14a1c61abf9180a.zip
Icewind Dale 2 support
Diffstat (limited to 'iwd2/install-2cd-us-minimal.sh')
-rwxr-xr-xiwd2/install-2cd-us-minimal.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
new file mode 100755
index 0000000..f057576
--- /dev/null
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD2_2CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
+move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
+
+copylower "${CDMOUNT}/Data/" "${TARGETDIR}/data" || die
+copylower "${CDMOUNT}/Icewind2.ico" "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/"_*
+setperms "$TARGETDIR"